---
title: WebGLRenderingContext.getSupportedExtensions()
slug: Web/API/WebGLRenderingContext/getSupportedExtensions
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <code><strong>WebGLRenderingContext.getSupportedExtensions()</strong></code> method returns a list of all the supported <a href="/en-US/docs/Web/API/WebGL_API">WebGL</a> extensions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><em>gl</em></var>.getSupportedExtensions();</pre>

<h3 id="Return_value">Return value</h3>

<p>An {{jsxref("Array")}} of strings with all the supported WebGL extensions.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var canvas = document.getElementById('canvas');
gl = canvas.getContext('webgl');

var extensions = gl.getSupportedExtensions();
// Array [ 'ANGLE_instanced_arrays', 'EXT_blend_minmax', ... ]
</pre>

<p>See also the {{domxref("WebGLRenderingContext.getExtension()")}} method to get a specific extension object.</p>

<h2 id="WebGL_extensions">WebGL extensions</h2>

<p>Extensions for the WebGL API are registered in the <a href="https://www.khronos.org/registry/webgl/extensions/">WebGL Extension Registry</a>. The current extensions are:</p>

<p>{{page("en-US/docs/Web/API/WebGL_API", "Extensions")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebGL", "#5.14.14", "WebGLRenderingContext.getSupportedExtensions")}}</td>
   <td>{{Spec2("WebGL")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WebGLRenderingContext.getSupportedExtensions")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.getExtension()")}}</li>
 <li><a href="http://webglreport.com">webglreport.com</a></li>
</ul>
